Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets.html
Class BehaviorTagHandlerDelegate

    java.lang.Object
      javax.faces.view.facelets.TagHandlerDelegate
          org.richfaces.view.facelets.html.BehaviorTagHandlerDelegate

All Implemented Interfaces:
  javax.faces.view.AttachedObjectHandler

    public class BehaviorTagHandlerDelegate

extends javax.faces.view.facelets.TagHandlerDelegate
implements javax.faces.view.AttachedObjectHandler

Author:
  Anton Belevich

Constructor Summary
`BehaviorTagHandlerDelegate(CustomBehaviorHandler owner, javax.faces.view.facelets.TagHandlerDelegate wrappedHandlerDelegate)`

Method Summary
`void` | `apply(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`
`void` | `applyAttachedObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent parent)`
`javax.faces.view.facelets.MetaRuleset` | `createMetaRuleset(Class type)`
`String` | `getFor()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BehaviorTagHandlerDelegate

    public BehaviorTagHandlerDelegate(CustomBehaviorHandler owner,
                                      javax.faces.view.facelets.TagHandlerDelegate wrappedHandlerDelegate)

Method Detail

### apply

    public void apply(javax.faces.view.facelets.FaceletContext ctx,
                      javax.faces.component.UIComponent parent)
               throws IOException

  Specified by:
    `apply` in class `javax.faces.view.facelets.TagHandlerDelegate`
  Throws:
    `IOException`

### createMetaRuleset

    public javax.faces.view.facelets.MetaRuleset createMetaRuleset(Class type)

  Specified by:
    `createMetaRuleset` in class `javax.faces.view.facelets.TagHandlerDelegate`

### applyAttachedObject

    public void applyAttachedObject(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent parent)

  Specified by:
    `applyAttachedObject` in interface `javax.faces.view.AttachedObjectHandler`

### getFor

    public String getFor()

  Specified by:
    `getFor` in interface `javax.faces.view.AttachedObjectHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.